org.eclipse.net4j.ui

## Class Net4jItemProvider

- java.lang.Object
- - org.eclipse.jface.viewers.ViewerComparator
  - - org.eclipse.jface.viewers.ViewerSorter
    - - org.eclipse.net4j.util.ui.StructuredContentProvider<INPUT>
      - - org.eclipse.net4j.util.ui.views.ItemProvider<CONTAINER>
        - - org.eclipse.net4j.util.ui.views.ContainerItemProvider<IContainer<Object>>
          - - org.eclipse.net4j.ui.Net4jItemProvider

- All Implemented Interfaces:
    EventListener, DelegatingStyledCellLabelProvider.IStyledLabelProvider, IBaseLabelProvider, IColorProvider, IContentProvider, IFontProvider, ILabelProvider, IStructuredContentProvider, ITreeContentProvider, IListener

      public class Net4jItemProvider
      extends ContainerItemProvider<IContainer<Object>>

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    4.1
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Net4jItemProvider.RemoveAction` If the meaning of this type isn't clear, there really should be more of a description here...

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.ui.views.ContainerItemProvider

      `ContainerItemProvider.AbstractContainerNode, ContainerItemProvider.AbstractNode, ContainerItemProvider.ContainerNode, ContainerItemProvider.ErrorElement, ContainerItemProvider.LazyElement, ContainerItemProvider.LeafNode, ContainerItemProvider.Node, ContainerItemProvider.SlowElement`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.ui.views.ContainerItemProvider

      `ERROR_IMAGE, PENDING_COLOR, PENDING_IMAGE`

    - ### Fields inherited from class org.eclipse.net4j.util.ui.views.ItemProvider

      `NO_ELEMENTS`

    - ### Fields inherited from class org.eclipse.jface.viewers.ViewerSorter

      `collator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Net4jItemProvider()`
    `Net4jItemProvider(IElementFilter rootElementFilter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fillContextMenu(IMenuManager manager, ITreeSelection selection)`
    `Image` | `getImage(Object obj)`

    - ### Methods inherited from class org.eclipse.net4j.util.ui.views.ContainerItemProvider

      `addNode, clearNodesCache, connectInput, createContaineNode, createLeafNode, createNode, createSlowElement, createSlowInput, disconnectInput, elementAdded, elementRemoved, executeRunnable, filterRootElement, getChildren, getContainerChildren, getErrorText, getFont, getForeground, getNode, getNodes, getParent, getRoot, getRootElementFilter, getSlowText, handleElementEvent, handleInactiveElement, hasChildren, isComputeChildrenEagerly, isSlow, removeNode`

    - ### Methods inherited from class org.eclipse.net4j.util.ui.views.ItemProvider

      `addListener, fireLabelProviderChanged, fireLabelProviderChanged, fireLabelProviderChanged, getBackground, getElements, getListeners, getStyledText, getText, isLabelProperty, removeListener`

    - ### Methods inherited from class org.eclipse.net4j.util.ui.StructuredContentProvider

      `dispose, expandElement, getBoldFont, getDisplay, getInput, getItalicFont, getViewer, inputChanged, notifyEvent, refreshElement, refreshSynced, refreshViewer, revealElement, selectElement, updateLabels`

    - ### Methods inherited from class org.eclipse.jface.viewers.ViewerSorter

      `getCollator`

    - ### Methods inherited from class org.eclipse.jface.viewers.ViewerComparator

      `category, compare, getComparator, isSorterProperty, sort`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jface.viewers.IContentProvider

      `dispose, inputChanged`

    - ### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

      `dispose`

- - ### Constructor Detail

    - #### Net4jItemProvider

          public Net4jItemProvider()

    - #### Net4jItemProvider

          public Net4jItemProvider(IElementFilter rootElementFilter)

  - ### Method Detail

    - #### getImage

          public Image getImage(Object obj)

      Specified by:
        `getImage` in interface `DelegatingStyledCellLabelProvider.IStyledLabelProvider`
      Specified by:
        `getImage` in interface `ILabelProvider`
      Overrides:
        `getImage` in class `ContainerItemProvider<IContainer<Object>>`

    - #### fillContextMenu

          public void fillContextMenu(IMenuManager manager,
                                      ITreeSelection selection)

      Overrides:
        `fillContextMenu` in class `ContainerItemProvider<IContainer<Object>>`
      Since:
        4.2

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html